## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Summary:   GLib wrapper around libusb1
Name:      libgusb
Version:   0.4.9
Release:   %autorelease
License:   LGPL-2.1-or-later
URL:       https://github.com/hughsie/libgusb
Source0:   https://github.com/hughsie/libgusb/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel >= 2.38.0
BuildRequires: json-glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gi-docgen
BuildRequires: libusb1-devel >= 1.0.19
BuildRequires: umockdev-devel
BuildRequires: meson
BuildRequires: vala

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%package devel
Summary: Libraries and headers for gusb
Requires: %{name} = %{version}-%{release}

%description devel
GLib headers and libraries for gusb.

%prep
%setup -q

%build
%meson -Dvapi=true -Dtests=true

%meson_build

%install
%meson_install

%ldconfig_scriptlets

%files
%doc README.md AUTHORS NEWS COPYING
%{_libdir}/libgusb.so.?
%{_libdir}/libgusb.so.?.0.*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%{_includedir}/gusb-1
%{_bindir}/gusbcmd
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
%{_datadir}/doc/libgusb
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.deps
%{_datadir}/vala/vapi/gusb.vapi

%changelog
* Mon Apr 22 2024 Richard Hughes <richard@hughsie.com> 0.4.9-1
- New upstream release

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 07 2023 Richard Hughes <richard@hughsie.com> 0.4.8-1
- New upstream release

* Mon Oct 09 2023 Richard Hughes <richard@hughsie.com> 0.4.7-1
- New release

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 08 2023 Richard Hughes <richard@hughsie.com> 0.4.6-1
- New upstream release

* Wed Feb 22 2023 Richard Hughes <richard@hughsie.com> 0.4.5-2
- migrated to SPDX license

* Wed Feb 08 2023 Richard Hughes <richard@hughsie.com> 0.4.5-1
- New upstream release

* Mon Jan 30 2023 Richard Hughes <richard@hughsie.com> 0.4.4-1
- New upstream release

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Richard Hughes <richard@hughsie.com> 0.4.3-1
- New upstream version

* Tue Oct 18 2022 Richard Hughes <richard@hughsie.com> 0.4.2-1
- New upstream version

* Sat Oct 01 2022 Richard Hughes <richard@hughsie.com> 0.4.1-1
- New upstream version

* Mon Sep 12 2022 Richard Hughes <richard@hughsie.com> 0.4.0-1
- New upstream version

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Richard Hughes <richard@hughsie.com> 0.3.10-1
- New upstream version

* Tue Dec 07 2021 Richard Hughes <richard@hughsie.com> 0.3.9-1
- New upstream version

* Wed Oct 06 2021 Richard Hughes <richard@hughsie.com> 0.3.8-1
- New upstream version

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 2021 Richard Hughes <richard@hughsie.com> 0.3.7-1
- New upstream version

* Fri Mar 12 2021 Richard Hughes <richard@hughsie.com> 0.3.6-1
- New upstream version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jul 30 2020 Richard Hughes <richard@hughsie.com> 0.3.5-1
- New upstream version

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 20 2020 Richard Hughes <richard@hughsie.com> 0.3.4-1
- New upstream version

* Thu Jan 30 2020 Richard Hughes <richard@hughsie.com> 0.3.3-1
- New upstream version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 06 2020 Richard Hughes <richard@hughsie.com> 0.3.2-1
- New upstream version

* Sat Nov 16 2019 Richard Hughes <richard@hughsie.com> 0.3.1-1
- New upstream version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 04 2019 Kalev Lember <klember@redhat.com> 0.3.0-5
- Update BRs for vala packaging changes

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> 0.3.0-2
- Remove needless use of %defattr

* Thu Feb 15 2018 Richard Hughes <richard@hughsie.com> 0.3.0-1
- New upstream version

* Thu Feb 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.2.11-5
- Switch to %ldconfig_scriptlets

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.2.11-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Richard Hughes <richard@hughsie.com> 0.2.11-1
- New upstream version

* Mon Apr 10 2017 Richard Hughes <richard@hughsie.com> 0.2.10-1
- New upstream version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Mar 22 2016 Richard Hughes <richard@hughsie.com> 0.2.9-1
- New upstream version

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 01 2015 Richard Hughes <richard@hughsie.com> 0.2.8-1
- New upstream version

* Tue Sep 15 2015 Richard Hughes <richard@hughsie.com> 0.2.7-1
- New upstream version

* Mon Jul 06 2015 Richard Hughes <richard@hughsie.com> 0.2.6-1
- New upstream version

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Richard Hughes <richard@hughsie.com> 0.2.5-1
- New upstream version

* Fri Jan 09 2015 Richard Hughes <richard@hughsie.com> 0.2.4-1
- New upstream version

* Mon Dec 01 2014 Richard Hughes <richard@hughsie.com> 0.2.3-1
- New upstream version

* Wed Nov 26 2014 Richard Hughes <richard@hughsie.com> 0.2.2-1
- New upstream version

* Mon Nov 24 2014 Richard Hughes <richard@hughsie.com> 0.2.1-1
- New upstream version

* Thu Nov 20 2014 Richard Hughes <richard@hughsie.com> 0.2.0-1
- New upstream version

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> 0.1.6-4
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 05 2013 Richard Hughes <richard@hughsie.com> 0.1.6-1
- New upstream version

* Tue Feb 05 2013 Richard Hughes <richard@hughsie.com> 0.1.5-1
- New upstream version

* Wed Nov 07 2012 Richard Hughes <richard@hughsie.com> 0.1.4-2
- Fix BRs

* Tue Nov 06 2012 Richard Hughes <richard@hughsie.com> 0.1.4-1
- New upstream version

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 05 2011 Richard Hughes <richard@hughsie.com> 0.1.3-1
- New upstream version

* Fri Nov 11 2011 Richard Hughes <richard@hughsie.com> 0.1.2-1
- New upstream version

* Tue Nov 01 2011 Richard Hughes <richard@hughsie.com> 0.1.1-1
- New upstream version

* Thu Sep 15 2011 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial version for Fedora package review
